# H3DNetworkingUtils::RemoteClient Class Reference

Network connections involve client software conecting across a network to server software. More...

`#include <H3DNetworkingUtils/RemoteClient.h>`

Inheritance diagram for H3DNetworkingUtils::RemoteClient:

List of all members.

## Public Member Functions
| RemoteClient (string socket_type="TCP", H3D::Inst< H3D::SFString > remoteHost=0, H3D::Inst< H3D::SFInt32 > remotePort=0, H3D::Inst< OpenHandler > open=0, H3D::Inst< H3D::SFBool > autoReconnect=0)
| Constructor.
## Public Attributes
auto_ptr< H3D::SFString > | remoteHost
| The host running a server that this client will connect to access type: inputOutput basic type: SFString default value: localhost.
auto_ptr< H3D::SFInt32 > | remotePort
| The port number on the remote host that this client will connect to - the server should be listening on that port access type: inputOutput basic type: SFInt32 default value: 9876.
auto_ptr< OpenHandler > | open
| When true, starts a connection to a server on the remote host It is valid for it to be true at startup - connection will occur after initialization access type: inputOutput basic type: SFBool default value: FALSE.
auto_ptr< H3D::SFBool > | autoReconnect
| If autoReconnect is true, whenever a connection to the remote host fails, a reconnection will be attempted periodically If a RemoteClient starts before the remote host's server starts, this autoReconnect capability will enable successful connect once the server does start access type: inputOutput basic type: SFBool default value: TRUE.
## Classes
struct | OpenHandler
| Handles a connection attempt when it is set to true. More...

## Detailed Description

Network connections involve client software conecting across a network to server software.

The RemoteClient class is a base class for remote clients using UDP or TCP sockets. It tries to connect to a RemoteServer node on the given host using the given port, then continues with the base class's behaviour. When open is changed from false to true, the connection is attempted. When it is changed from true to false, the connection is closed. At present, only one remote connection is handled. It may be possible to handle multiple connections by including multiple RemoteClients in a scenegraph.

The documentation for this class was generated from the following files:

- RemoteClient.h
- RemoteClient.cpp